Growth

Record an inventory decision

POST
/api/v1/inventory/{item_id}/action

Records a decision the merchant took (acknowledging a reorder, logging a restock, correcting a count). No purchase order is ever placed by the system.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Path Parameters

item_id*string
Formatuuid

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

Records a human decision. The system never purchases autonomously.

action?string
Default"ACKNOWLEDGE_REORDER"

Value in

  • "ACKNOWLEDGE_REORDER"
  • "RECORD_RESTOCK"
  • "ADJUST"
note?string
Lengthlength <= 500
Default""
quantity?number
Range0 <= value
Default0

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/inventory/497f6eca-6276-4993-bfeb-53cbbbba6f08/action" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "avg_daily_demand": 0,    "days_of_cover": 0,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "last_restocked_at": "2019-08-24T14:15:22Z",    "lead_time_days": 0,    "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",    "product_name": "string",    "quantity_on_hand": 0,    "recommendation": "string",    "reorder_point": 0,    "reorder_quantity": 0,    "revenue_at_risk": 0,    "sku": "string",    "status": "string",    "stockout_risk": 0,    "supplier": "string",    "unit": "string",    "unit_cost": 0  },  "meta": {},  "success": true}